View Issue Details

IDProjectCategoryView StatusLast Update
0000038NewsStatsReportspublic2013-09-02 14:52
ReporterthhAssigned Tothh 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
ProjectionnoneETAnone 
Product VersionProduct Build 
Target Version0.01Fixed in Version0.01 
Summary0000038: Allow upper and lower limit
DescriptionReports could optionally have an upper and lower limit: "show all groups with at least 10 and not more than 100 postings"
TagsNo tags attached.

Activities

thh

thh

2013-09-02 06:58

administrator   ~0000058

Fix committed to next branch as edd250f2652311094fff5ef352702af44f3a8a1b: Complete rewrite of groupstats.pl and NewsStats.pm.

* Switch to Getopt::Long, change coding style;
  limit line length.

* Replace 'die' and 'warn' by calls to &Bleat().

* Completely redo options and processing:
  - merge -m/-p/-a into --month
  - replace -i/-q/-d with - much more powerful -
    --group-by/--order-by
  - replace -t/-l with - much more powerful -
    --lower/--upper/--boundary
  - remove -b and replace it with --report

  Fixes 0000033.

* Add new report types, boundaries and sorting options:
  - report types 'average' and 'sums'
  - boundaries 'average' and 'sums'
  - upper and/or lower boundary
  - sort output independently

  Issue 0000035.
  Fixes 0000034, 0000038.

* Add possibility to cross-check newsgroups against
  checkgroups file.

* Complete rewrite of groupstats.pl internal logic:
  - modularize construction fo SQL queries
  - remove unnecessary special cases
  - refactor code into NewsStats.pm functions as much
    as possible

  Issue 0000037.
  Fixes 0000036.

* Rework output formats, fix padding problem by making use
  of modularized SQL queries.

  Fixes 0000015, 0000032.

* Add some more consistency checks.

  Issue 0000012.

* Redo documentation.

* Update TODO list.

Signed-off-by: Thomas Hochstein <thh@inter.net>

Related Changesets

NewsStats: next edd250f2

2012-05-02 16:11:43

thh

Details Diff
Complete rewrite of groupstats.pl and NewsStats.pm.

* Switch to Getopt::Long, change coding style;
limit line length.

* Replace 'die' and 'warn' by calls to &Bleat().

* Completely redo options and processing:
- merge -m/-p/-a into --month
- replace -i/-q/-d with - much more powerful -
--group-by/--order-by
- replace -t/-l with - much more powerful -
--lower/--upper/--boundary
- remove -b and replace it with --report

Fixes 0000033.

* Add new report types, boundaries and sorting options:
- report types 'average' and 'sums'
- boundaries 'average' and 'sums'
- upper and/or lower boundary
- sort output independently

Issue 0000035.
Fixes 0000034, 0000038.

* Add possibility to cross-check newsgroups against
checkgroups file.

* Complete rewrite of groupstats.pl internal logic:
- modularize construction fo SQL queries
- remove unnecessary special cases
- refactor code into NewsStats.pm functions as much
as possible

Issue 0000037.
Fixes 0000036.

* Rework output formats, fix padding problem by making use
of modularized SQL queries.

Fixes 0000015, 0000032.

* Add some more consistency checks.

Issue 0000012.

* Redo documentation.

* Update TODO list.

Signed-off-by: Thomas Hochstein <thh@inter.net>
mod - groupstats.pl Diff File
mod - NewsStats.pm Diff File
mod - doc/TODO Diff File

Issue History

Date Modified Username Field Change
2011-01-19 23:41 thh New Issue
2012-05-02 17:58 thh Assigned To => thh
2012-05-02 17:58 thh Status new => confirmed
2012-05-02 18:00 thh Status confirmed => assigned
2013-08-15 13:33 thh Target Version => 0.01
2013-09-02 06:58 thh Changeset attached => NewsStats next edd250f2
2013-09-02 06:58 thh Note Added: 0000058
2013-09-02 06:58 thh Status assigned => resolved
2013-09-02 06:58 thh Resolution open => fixed
2013-09-02 14:52 thh Fixed in Version => 0.01